<?php
/**
 * The Paychef Exception for any exception occurred during the API process
 * @created   for Paychef API
 * @modified  2024 by Roberto Coria <support@paychef.com>
 * @since     v1.0
 */

namespace Paychef;

/**
 * Class PaychefException
 * @package Paychef
 */
class PaychefException extends \Exception
{
    private $reason = '';

    public function getReason()
    {
        return $this->reason;
    }

    public function setReason($reason = '')
    {
        $this->reason = $reason;
    }
}
